Package twisted :: Package mail :: Module protocols :: Class ESMTPDomainDelivery

[frames | no frames]

## Class ESMTPDomainDelivery

    DomainDeliveryBase --+
                         |
                        ESMTPDomainDelivery

Known Subclasses:
  `DomainESMTP`

Method Summary
Inherited from DomainDeliveryBase
| ``__init__`(self, service, user, host)`
| ``receivedHeader`(self, helo, origin, recipients)`
| ``startMessage`(self, users)`
| ``validateFrom`(self, helo, origin)`
| ``validateTo`(self, user)`

Class Variable Summary
`str` | `protocolName` = `'esmtp'`
Inherited from DomainDeliveryBase
`tuple` | `__implements__` = `(<class twisted.protocols.smtp.IMessage...`
`NoneType` | `service` = None

Class Variable Details

### protocolName

  Type:
    `str`
  Value:

        'esmtp'

Generated by Epydoc 2.0 on Sat May 15 20:08:08 2004 | http://epydoc.sf.net